Bug 1280488 - wine not working at all
wine not working at all
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 15:53 EST by Vratislav Podzimek
Modified: 2015-12-02 13:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:51:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vratislav Podzimek 2015-11-11 15:53:55 EST
Description of problem:
Everything run with wine crashes on my machine after the last update from wine-1.7.52-1 to wine-1.7.53-1

Version-Release number of selected component (if applicable):
wine-1.7.53

How reproducible:
100%

Steps to Reproduce:
1. run e.g. winecfg

Actual results:
$ winecfg 
fixme:winediag:start_process Wine Staging 1.7.53 is a testing version containing experimental patches.
fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
err:winedevice:ServiceMain driver L"Null" failed to load
wine: Unhandled page fault on read access to 0x00000010 at address 0x7e61c2ea (thread 0009), starting debugger...
winedbg: Internal crash at 0x7bc5cca5


Expected results:
winecfg running just fine
Comment 1 Michael Cronenworth 2015-11-11 16:04:03 EST
Please try a fresh wine prefix.

WINEPREFIX=~/winetest winecfg
Comment 2 Vratislav Podzimek 2015-11-12 04:28:35 EST
(In reply to Michael Cronenworth from comment #1)
> Please try a fresh wine prefix.
> 
> WINEPREFIX=~/winetest winecfg

That works as expected. Is there a way to identify what's wrong in the default prefix or at least just remove the config without losing data from there? Maybe something got mangled somehow during the update? An interesting fact is that when I copied my whole /home/user folder (including ~/.wine) to a fresh F23 installation, everything works fine there.

Thanks!
Comment 3 Michael Cronenworth 2015-11-15 20:58:41 EST
You can try debugging with "winegdb" or delete $WINEPREFIX/.update-timestamp to attempt to regenerate the wine prefix. 

If it is working on newer versions of wine I'm going to close this. F21 is going EOL very soon and I'm not pushing any updates for it.
Comment 4 Fedora End Of Life 2015-12-02 10:51:44 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.